package soap;

import javax.jws.*;

@WebService
public interface VerwaltungInterface 
{
	// Gibt die Matrikelnummer zum Namen oder -1 bei unbekanntem Namen zurueck
	public int martikelnummerZuName( @WebParam( name = "name" ) String name );
	
	// Gibt den Namen zur Matrikelnummer oder null bei unbekannter Matrikelnummer zurueck
	public Student nameZuMatrikelnummer( @WebParam( name = "matrikelNummer" ) int matrikelNummer );
	
	// Gibt die Studienleistungen zur Matrikelnummer oder 
	// null bei unbekannter Matrikelnummer bzw. fehlenden Leistungen zurueck
	public Leistung[] studienleistungZuMartikelnummer( @WebParam( name = "matrikelNummer" ) int matrikelNummer );
}